From 150328a01168e80a358ffcfca321e9172ddf7680 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Miro=20Hron=C4=8Dok?= <miro@hroncok.cz>
Date: Thu, 19 Oct 2023 01:13:49 +0200
Subject: [PATCH] tkinter.tix was removed from Python 3.13, skip the test

---
 test_six.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/test_six.py b/test_six.py
index 7b8b03b..1fa8c4c 100644
--- a/test_six.py
+++ b/test_six.py
@@ -127,6 +127,8 @@ def test_move_items(item_name):
         if item_name.startswith("tkinter"):
             if not have_tkinter:
                 pytest.skip("requires tkinter")
+            if item_name == "tkinter_tix" and sys.version_info >= (3, 13):
+                pytest.skip("tkinter.tix removed from Python 3.13")
         if item_name.startswith("dbm_gnu") and not have_gdbm:
             pytest.skip("requires gdbm")
         raise
-- 
2.41.0

